#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1644\r"; sleep 2;
echo -e "write (0,1) -1694\r"; sleep 2;
echo -e "write (0,2) -1625\r"; sleep 2;
echo -e "write (0,3) -1600\r"; sleep 2;
echo -e "write (0,4) -1599\r"; sleep 2;
echo -e "write (0,5) -1600\r"; sleep 2;
echo -e "write (0,6) -1639\r"; sleep 2;
echo -e "write (0,9) -1595\r"; sleep 2;
echo -e "write (0,10) -1669\r"; sleep 2;
echo -e "write (0,11) -1501\r"; sleep 2;
echo -e "write (0,12) -1531\r"; sleep 2;
echo -e "write (0,13) -1559\r"; sleep 2;
echo -e "write (0,14) -1600\r"; sleep 2;
echo -e "write (1,0) -1449\r"; sleep 2;
echo -e "write (1,1) -1619\r"; sleep 2;
echo -e "write (1,2) -1481\r"; sleep 2;
echo -e "write (1,3) -1350\r"; sleep 2;
echo -e "write (1,4) -1600\r"; sleep 2;
echo -e "write (1,5) -1530\r"; sleep 2;
echo -e "write (1,6) -1546\r"; sleep 2;
echo -e "write (1,9) -1609\r"; sleep 2;
echo -e "write (1,10) -1431\r"; sleep 2;
echo -e "write (1,11) -1356\r"; sleep 2;
echo -e "write (1,12) -1432\r"; sleep 2;
echo -e "write (1,13) -1535\r"; sleep 2;
echo -e "write (1,14) -1377\r"; sleep 2;
echo -e "write (2,0) -1533\r"; sleep 2;
echo -e "write (2,1) -1436\r"; sleep 2;
echo -e "write (2,2) -1471\r"; sleep 2;
echo -e "write (2,3) -1488\r"; sleep 2;
echo -e "write (2,4) -1612\r"; sleep 2;
echo -e "write (2,5) -1513\r"; sleep 2;
echo -e "write (2,6) -1682\r"; sleep 2;
echo -e "write (2,9) -1465\r"; sleep 2;
echo -e "write (2,10) -1410\r"; sleep 2;
echo -e "write (2,11) -1562\r"; sleep 2;
echo -e "write (2,12) -1571\r"; sleep 2;
echo -e "write (2,14) -1535\r"; sleep 2;
echo -e "write (3,0) -1678\r"; sleep 2;
echo -e "write (3,1) -1663\r"; sleep 2;
echo -e "write (3,2) -1608\r"; sleep 2;
echo -e "write (3,3) -1674\r"; sleep 2;
echo -e "write (3,4) -1692\r"; sleep 2;
echo -e "write (3,5) -1491\r"; sleep 2;
echo -e "write (3,6) -1412\r"; sleep 2;
echo -e "write (3,9) -1530\r"; sleep 2;
echo -e "write (3,10) -1517\r"; sleep 2;
echo -e "write (3,11) -1284\r"; sleep 2;
echo -e "write (3,12) -1426\r"; sleep 2;
echo -e "write (3,13) -1579\r"; sleep 2;
echo -e "write (3,14) -1649\r"; sleep 2;
echo -e "write (4,0) -1381\r"; sleep 2;
echo -e "write (4,1) -1612\r"; sleep 2;
echo -e "write (4,2) -1568\r"; sleep 2;
echo -e "write (4,3) -1524\r"; sleep 2;
echo -e "write (4,4) -1547\r"; sleep 2;
echo -e "write (4,5) -1681\r"; sleep 2;
echo -e "write (4,6) -1634\r"; sleep 2;
echo -e "write (4,9) -1518\r"; sleep 2;
echo -e "write (4,10) -1598\r"; sleep 2;
echo -e "write (4,11) -1383\r"; sleep 2;
echo -e "write (4,12) -1691\r"; sleep 2;
echo -e "write (4,13) -1316\r"; sleep 2;
echo -e "write (4,14) -1527\r"; sleep 2;
echo -e "write (5,0) -1371\r"; sleep 2;
echo -e "write (5,1) -1545\r"; sleep 2;
echo -e "write (5,2) -1510\r"; sleep 2;
echo -e "write (5,3) -1424\r"; sleep 2;
echo -e "write (5,4) -1521\r"; sleep 2;
echo -e "write (5,5) -1458\r"; sleep 2;
echo -e "write (5,6) -1538\r"; sleep 2;
echo -e "write (5,9) -1511\r"; sleep 2;
echo -e "write (5,10) -1468\r"; sleep 2;
echo -e "write (5,11) -1589\r"; sleep 2;
echo -e "write (5,12) -1511\r"; sleep 2;
echo -e "write (5,14) -1488\r"; sleep 2;
echo -e "write (5,15) -1446\r"; sleep 2;
echo -e "write (6,0) -1532\r"; sleep 2;
echo -e "write (6,1) -1600\r"; sleep 2;
echo -e "write (6,2) -1544\r"; sleep 2;
echo -e "write (6,3) -1520\r"; sleep 2;
echo -e "write (6,4) -1600\r"; sleep 2;
echo -e "write (6,5) -1656\r"; sleep 2;
echo -e "write (6,6) -1598\r"; sleep 2;
echo -e "write (6,9) -1600\r"; sleep 2;
echo -e "write (6,10) -1598\r"; sleep 2;
echo -e "write (6,12) -1626\r"; sleep 2;
echo -e "write (6,13) -1449\r"; sleep 2;
echo -e "write (6,14) -1550\r"; sleep 2;
echo -e "write (7,0) -1568\r"; sleep 2;
echo -e "write (7,1) -1488\r"; sleep 2;
echo -e "write (7,2) -1617\r"; sleep 2;
echo -e "write (7,3) -1652\r"; sleep 2;
echo -e "write (7,4) -1503\r"; sleep 2;
echo -e "write (7,5) -1314\r"; sleep 2;
echo -e "write (7,6) -1641\r"; sleep 2;
echo -e "write (7,9) -1597\r"; sleep 2;
echo -e "write (7,10) -1600\r"; sleep 2;
echo -e "write (7,11) -1548\r"; sleep 2;
echo -e "write (7,12) -1639\r"; sleep 2;
echo -e "write (7,13) -1515\r"; sleep 2;
echo -e "write (7,14) -1614\r"; sleep 2;
echo -e "write (8,0) -1457\r"; sleep 2;
echo -e "write (8,1) -1490\r"; sleep 2;
echo -e "write (8,2) -1507\r"; sleep 2;
echo -e "write (8,3) -1560\r"; sleep 2;
echo -e "write (8,4) -1637\r"; sleep 2;
echo -e "write (8,5) -1530\r"; sleep 2;
echo -e "write (8,6) -1451\r"; sleep 2;
echo -e "write (8,9) -1409\r"; sleep 2;
echo -e "write (8,10) -1600\r"; sleep 2;
echo -e "write (8,11) -1698\r"; sleep 2;
echo -e "write (8,12) -1665\r"; sleep 2;
echo -e "write (8,13) -1332\r"; sleep 2;
echo -e "write (8,14) -1552\r"; sleep 2;
echo -e "write (9,0) -1692\r"; sleep 2;
echo -e "write (9,1) -1377\r"; sleep 2;
echo -e "write (9,2) -1355\r"; sleep 2;
echo -e "write (9,3) -1535\r"; sleep 2;
echo -e "write (9,4) -1414\r"; sleep 2;
echo -e "write (9,5) -1542\r"; sleep 2;
echo -e "write (9,6) -1468\r"; sleep 2;
echo -e "write (9,9) -1658\r"; sleep 2;
echo -e "write (9,10) -1651\r"; sleep 2;
echo -e "write (9,11) -1537\r"; sleep 2;
echo -e "write (9,12) -1695\r"; sleep 2;
echo -e "write (9,13) -1600\r"; sleep 2;
echo -e "write (9,14) -1636\r"; sleep 2;
echo -e "write (10,0) -1542\r"; sleep 2;
echo -e "write (10,1) -1651\r"; sleep 2;
echo -e "write (10,2) -1601\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1602\r"; sleep 2;
echo -e "write (10,5) -1466\r"; sleep 2;
echo -e "write (10,6) -1477\r"; sleep 2;
echo -e "write (10,9) -1523\r"; sleep 2;
echo -e "write (10,10) -1613\r"; sleep 2;
echo -e "write (10,11) -1675\r"; sleep 2;
echo -e "write (10,12) -1600\r"; sleep 2;
echo -e "write (10,13) -1390\r"; sleep 2;
echo -e "write (10,14) -1609\r"; sleep 2;
echo -e "write (11,0) -1416\r"; sleep 2;
echo -e "write (11,1) -1685\r"; sleep 2;
echo -e "write (11,2) -1684\r"; sleep 2;
echo -e "write (11,3) -1670\r"; sleep 2;
echo -e "write (11,4) -1587\r"; sleep 2;
echo -e "write (11,5) -1462\r"; sleep 2;
echo -e "write (11,6) -1544\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1478\r"; sleep 2;
echo -e "write (11,11) -1634\r"; sleep 2;
echo -e "write (11,12) -1625\r"; sleep 2;
echo -e "write (11,13) -1473\r"; sleep 2;
echo -e "write (11,14) -1692\r"; sleep 2;
echo -e "write (12,0) -1496\r"; sleep 2;
echo -e "write (12,1) -1617\r"; sleep 2;
echo -e "write (12,2) -1436\r"; sleep 2;
echo -e "write (12,3) -1591\r"; sleep 2;
echo -e "write (12,4) -1667\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1541\r"; sleep 2;
echo -e "write (12,9) -1473\r"; sleep 2;
echo -e "write (12,10) -1406\r"; sleep 2;
echo -e "write (12,11) -1497\r"; sleep 2;
echo -e "write (12,12) -1414\r"; sleep 2;
echo -e "write (12,13) -1492\r"; sleep 2;
echo -e "write (12,14) -1554\r"; sleep 2;
echo -e "write (13,0) -1594\r"; sleep 2;
echo -e "write (13,1) -1671\r"; sleep 2;
echo -e "write (13,2) -1564\r"; sleep 2;
echo -e "write (13,3) -1494\r"; sleep 2;
echo -e "write (13,4) -1395\r"; sleep 2;
echo -e "write (13,5) -1495\r"; sleep 2;
echo -e "write (13,6) -1380\r"; sleep 2;
echo -e "write (13,9) -1633\r"; sleep 2;
echo -e "write (13,10) -1494\r"; sleep 2;
echo -e "write (13,11) -1339\r"; sleep 2;
echo -e "write (13,12) -1435\r"; sleep 2;
echo -e "write (13,13) -1498\r"; sleep 2;
echo -e "write (13,14) -1448\r"; sleep 2;
echo -e "write (14,0) -1455\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1356\r"; sleep 2;
echo -e "write (14,4) -1398\r"; sleep 2;
echo -e "write (14,5) -1434\r"; sleep 2;
echo -e "write (14,6) -1540\r"; sleep 2;
echo -e "write (14,7) -1544\r"; sleep 2;
echo -e "write (14,9) -1545\r"; sleep 2;
echo -e "write (14,10) -1481\r"; sleep 2;
echo -e "write (14,11) -1561\r"; sleep 2;
echo -e "write (14,12) -1516\r"; sleep 2;
echo -e "write (14,13) -1577\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1638\r"; sleep 2;
echo -e "write (15,1) -1621\r"; sleep 2;
echo -e "write (15,2) -1694\r"; sleep 2;
echo -e "write (15,15) -1630\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7008 > ../log/fms_hvon_7008_$t.tex
echo Set new HV
cat ../log/fms_hvon_7008_$t.tex
